Subject: Re: Assembly problem

From: Owen Brand <[email-masked]>
Date: Thu, 6 May 2010 19:48:03 -0400

Got it fixed... I was referencing MAPDAT unnecessarily

       DEF  START
       REF  VMBW
START
       LI   R0,0
       LI   R1,MAPDAT
       LI   R2,768
       BLWP @VMBW
LP
       LIMI 2
       JMP LP

MAPDAT DATA >2020,>4245,>5259,>4C20    ;
       DATA >2048,>5020,>3335,>2020    ;
       DATA >2020,>2020,>4C49,>5645    ;
       DATA >5320,>3220,>2020,>2020    ;
.
.
.
.
.
768 total bytes

On Thu, May 6, 2010 at 7:40 PM, Owen Brand <[email-masked]> wrote:

>  Looks like my source got mangled... You can see where I'm goin...
>
>
> Owen Brand
>
>         **webmaster**
> http://www.Opry99er.com <http://www.opry99er.com/>
>
> On May 6, 2010, at 7:37 PM, Owen Brand <[email-masked]> wrote:
>
>   Why doesn't this work?
>
> It's probably something very simple--- I'm a noob to this asm stuff.  :)
>
>
>        DEF  START
>        REF  VMBW,MAPDAT
> START
>        LI   R0,0
>        LI   R1,MAPDAT
>        LI   R2,768
>        BLWP @VMBW
> LP
>        LIMI 2
>        JMP LP
>        DEF  MAPDAT
> MAPDAT DATA >2020,>4245,>5259,>4C20    ;
>        DATA >2048,>5020,>3335,>2020    ;
>        DATA >2020,>2020,>4C49,>5645    ;
>        DATA >5320,>3220,>2020,>2020    ;
> .
> .
> .
> .
> 768 total bytes
>
> Owen Brand
>
>         **webmaster**
> http://www.Opry99er.com <http://www.opry99er.com/><http://www.opry99er.com/>
>
>